package cn.reghao.tnb.content.app.mall.model.vo;

import cn.reghao.tnb.content.app.mall.model.po.Product;

/**
 * @author reghao
 * @date 2024-04-16 15:16:56
 */
public class CartCard {
    private Long itemId;
    private String title;
    private String picUrl;
    private Double price;
    private Integer num;
    private Long shopId;
    private Long sellerId;

    public CartCard(Product product, int num) {
        this.itemId = product.getItemId();
        this.title = product.getTitle();
        this.picUrl = product.getPicUrl();
        this.price = product.getPrice();
        this.num = num;
        this.shopId = product.getShopId();
        this.sellerId = product.getSellerId();
    }
}
